<?php

/**
 *
 */
class views_handler_field_auctions_amount extends views_handler_field {

  /**
   *
   */
  public function construct() {
    parent::construct();
  }

  /**
   *
   */
  public function option_definition() {
    $options = parent::option_definition();
    $options['show_currency'] = array('default' => FALSE, 'bool' => TRUE);
    return $options;
  }

  /**
   *
   */
  public function options_form(&$form, &$form_state) {
    $form['show_currency'] = array(
      '#type' => 'checkbox',
      '#title' => t('Show currency suffix'),
      '#default_value' => $this->options['show_currency'],
    );
    parent::options_form($form, $form_state);

  }

  /**
   *
   */
  public function options_submit(&$form, &$form_state) {
    $this->options['show_currency'] = $form_state['values']['show_currency'];
  }

  /**
   *
   */
  public function query() {
    $this->additional_fields[$this->field] = $this->field;
    $this->additional_fields['currency_code'] = 'currency_code';
    $this->ensure_my_table();
    $this->add_additional_fields();
  }

  /**
   *
   */
  public function render($values) {
    $currency_code = ($this->options['show_currency']) ? $values->{$this->aliases['currency_code']} : '';
    $result = auctions_format_price($values->{$this->aliases[$this->field]}, $currency_code);
    return $result;
  }

}
